Gecode::Gist::PreferencesDialog Class Reference

Preferences dialog for Gist. More...

`#include <preferences.hh>`

## Public Member Functions

| PreferencesDialog (const Options &opt, QWidget *parent=0)
| Constructor.

## Public Attributes

bool | hideFailed
| Whether to automatically hide failed subtrees during search.
bool | zoom
| Whether to automatically zoom during search.
bool | copies
| Whether to show where copies are in the tree.
int | refresh
| How often to refresh the display during search.
int | refreshPause
| Milliseconds to wait after each refresh (to slow down search).
bool | smoothScrollAndZoom
| Whether to use smooth scrolling and zooming.
bool | moveDuringSearch
| Whether to move cursor during search.
int | c_d
| The copying distance.
int | a_d
| The adaptive recomputation distance.

## Protected Slots

void | writeBack (void)
| Write settings.
void | defaults (void)
| Reset to defaults.
void | toggleSlow (int state)
| Toggle slow down setting.

## Protected Attributes

QCheckBox * | hideCheck
QCheckBox * | zoomCheck
QCheckBox * | smoothCheck
QCheckBox * | copiesCheck
QSpinBox * | refreshBox
QCheckBox * | slowBox
QCheckBox * | moveDuringSearchBox
QSpinBox * | cdBox
QSpinBox * | adBox

## Detailed Description

Preferences dialog for Gist.

Definition at line 48 of file preferences.hh.

## Constructor & Destructor Documentation

## PreferencesDialog()

Gecode::Gist::PreferencesDialog::PreferencesDialog | ( | const Options & | opt,
|  | QWidget * | parent = 0 )

Constructor.

Definition at line 38 of file preferences.cpp.

## Member Function Documentation

## writeBack

void Gecode::Gist::PreferencesDialog::writeBack | ( | void |  | ) |

protected slot

Write settings.

Definition at line 147 of file preferences.cpp.

## defaults

void Gecode::Gist::PreferencesDialog::defaults | ( | void |  | ) |

protected slot

Reset to defaults.

Definition at line 169 of file preferences.cpp.

## toggleSlow

void Gecode::Gist::PreferencesDialog::toggleSlow | ( | int | state | ) |

protected slot

Toggle slow down setting.

Definition at line 189 of file preferences.cpp.

## Member Data Documentation

## hideCheck

QCheckBox* Gecode::Gist::PreferencesDialog::hideCheck

protected

Definition at line 52 of file preferences.hh.

## zoomCheck

QCheckBox* Gecode::Gist::PreferencesDialog::zoomCheck

protected

Definition at line 53 of file preferences.hh.

## smoothCheck

QCheckBox* Gecode::Gist::PreferencesDialog::smoothCheck

protected

Definition at line 54 of file preferences.hh.

## copiesCheck

QCheckBox* Gecode::Gist::PreferencesDialog::copiesCheck

protected

Definition at line 55 of file preferences.hh.

## refreshBox

QSpinBox* Gecode::Gist::PreferencesDialog::refreshBox

protected

Definition at line 56 of file preferences.hh.

## slowBox

QCheckBox* Gecode::Gist::PreferencesDialog::slowBox

protected

Definition at line 57 of file preferences.hh.

## moveDuringSearchBox

QCheckBox* Gecode::Gist::PreferencesDialog::moveDuringSearchBox

protected

Definition at line 58 of file preferences.hh.

## cdBox

QSpinBox* Gecode::Gist::PreferencesDialog::cdBox

protected

Definition at line 59 of file preferences.hh.

## adBox

QSpinBox* Gecode::Gist::PreferencesDialog::adBox

protected

Definition at line 60 of file preferences.hh.

## hideFailed

bool Gecode::Gist::PreferencesDialog::hideFailed

Whether to automatically hide failed subtrees during search.

Definition at line 73 of file preferences.hh.

## zoom

bool Gecode::Gist::PreferencesDialog::zoom

Whether to automatically zoom during search.

Definition at line 75 of file preferences.hh.

## copies

bool Gecode::Gist::PreferencesDialog::copies

Whether to show where copies are in the tree.

Definition at line 77 of file preferences.hh.

## refresh

int Gecode::Gist::PreferencesDialog::refresh

How often to refresh the display during search.

Definition at line 79 of file preferences.hh.

## refreshPause

int Gecode::Gist::PreferencesDialog::refreshPause

Milliseconds to wait after each refresh (to slow down search).

Definition at line 81 of file preferences.hh.

## smoothScrollAndZoom

bool Gecode::Gist::PreferencesDialog::smoothScrollAndZoom

Whether to use smooth scrolling and zooming.

Definition at line 83 of file preferences.hh.

## moveDuringSearch

bool Gecode::Gist::PreferencesDialog::moveDuringSearch

Whether to move cursor during search.

Definition at line 85 of file preferences.hh.

## c_d

int Gecode::Gist::PreferencesDialog::c_d

The copying distance.

Definition at line 88 of file preferences.hh.

## a_d

int Gecode::Gist::PreferencesDialog::a_d

The adaptive recomputation distance.

Definition at line 90 of file preferences.hh.

The documentation for this class was generated from the following files:

- gecode/gist/preferences.hh
- gecode/gist/preferences.cpp